#ifndef FS_OPERATIONS_H
#define FS_OPERATIONS_H

#include <stddef.h>

// Función para leer datos de un archivo
int read_file(const char *path, void *buffer, size_t size, size_t offset);

// Función para escribir datos en un archivo
int write_file(const char *path, const void *buffer, size_t size, size_t offset);

// Función para eliminar un archivo
int delete_file(const char *path);

#endif // FS_OPERATIONS_H
